CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2018-11769

CouchDB administrative users before 2.2.0 can configure the database server via HTTP(S). Due to insufficient validation of administrator-supplied configuration settings via the HTTP API, it is possible for a CouchDB administrator user to escalate their privileges to that of the operating system's user under which CouchDB runs, by bypassing the blacklist of configuration settings that are not allowed to be modified via the HTTP API. This privilege escalation effectively allows a CouchDB admin user to gain arbitrary remote code execution, bypassing CVE-2017-12636 and CVE-2018-8007.
Publish Date : 2018-08-08 Last Update Date : 2019-10-02
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
9.0
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s) Execute CodeGain privilegesBypass a restriction or similar
CWE ID CWE id is not defined for this vulnerability

- Products Affected By CVE-2018-11769

# Product Type Vendor Product Version Update Edition Language
1 Application Apache Couchdb 0.8.0 Version Details Vulnerabilities
2 Application Apache Couchdb 0.8.1 Version Details Vulnerabilities
3 Application Apache Couchdb 0.9.0 Version Details Vulnerabilities
4 Application Apache Couchdb 0.9.1 Version Details Vulnerabilities
5 Application Apache Couchdb 0.9.2 Version Details Vulnerabilities
6 Application Apache Couchdb 0.10.0 Version Details Vulnerabilities
7 Application Apache Couchdb 0.10.1 Version Details Vulnerabilities
8 Application Apache Couchdb 0.10.2 Version Details Vulnerabilities
9 Application Apache Couchdb 0.11.0 Version Details Vulnerabilities
10 Application Apache Couchdb 0.11.1 Version Details Vulnerabilities
11 Application Apache Couchdb 0.11.2 Version Details Vulnerabilities
12 Application Apache Couchdb 1.0.0 Version Details Vulnerabilities
13 Application Apache Couchdb 1.0.1 Version Details Vulnerabilities
14 Application Apache Couchdb 1.0.2 Version Details Vulnerabilities
15 Application Apache Couchdb 1.0.3 Version Details Vulnerabilities
16 Application Apache Couchdb 1.0.4 Version Details Vulnerabilities
17 Application Apache Couchdb 1.1.0 Version Details Vulnerabilities
18 Application Apache Couchdb 1.1.1 Version Details Vulnerabilities
19 Application Apache Couchdb 1.1.2 Version Details Vulnerabilities
20 Application Apache Couchdb 1.2.0 Version Details Vulnerabilities
21 Application Apache Couchdb 1.2.1 Version Details Vulnerabilities
22 Application Apache Couchdb 1.2.2 Version Details Vulnerabilities
23 Application Apache Couchdb 1.3.0 Version Details Vulnerabilities
24 Application Apache Couchdb 1.3.1 Version Details Vulnerabilities
25 Application Apache Couchdb 1.4.0 Version Details Vulnerabilities
26 Application Apache Couchdb 1.5.0 Version Details Vulnerabilities
27 Application Apache Couchdb 1.5.1 Version Details Vulnerabilities
28 Application Apache Couchdb 1.6.0 Version Details Vulnerabilities
29 Application Apache Couchdb 1.6.1 Version Details Vulnerabilities
30 Application Apache Couchdb 1.7.0 - Version Details Vulnerabilities
31 Application Apache Couchdb 1.7.0 RC1 Version Details Vulnerabilities
32 Application Apache Couchdb 1.7.0 Version Details Vulnerabilities
33 Application Apache Couchdb 1.7.1 Version Details Vulnerabilities
34 Application Apache Couchdb 1.7.1 - Version Details Vulnerabilities
35 Application Apache Couchdb 1.7.1 RC1 Version Details Vulnerabilities
36 Application Apache Couchdb 1.7.2 Version Details Vulnerabilities
37 Application Apache Couchdb 2.0.0 RC4 Version Details Vulnerabilities
38 Application Apache Couchdb 2.0.0 Version Details Vulnerabilities
39 Application Apache Couchdb 2.0.0 - Version Details Vulnerabilities
40 Application Apache Couchdb 2.0.0 RC1 Version Details Vulnerabilities
41 Application Apache Couchdb 2.0.0 RC2 Version Details Vulnerabilities
42 Application Apache Couchdb 2.0.0 RC3 Version Details Vulnerabilities
43 Application Apache Couchdb 2.1.0 Version Details Vulnerabilities
44 Application Apache Couchdb 2.1.0 - Version Details Vulnerabilities
45 Application Apache Couchdb 2.1.0 RC1 Version Details Vulnerabilities
46 Application Apache Couchdb 2.1.1 - Version Details Vulnerabilities
47 Application Apache Couchdb 2.1.1 RC1 Version Details Vulnerabilities
48 Application Apache Couchdb 2.1.1 RC2 Version Details Vulnerabilities
49 Application Apache Couchdb 2.1.1 Version Details Vulnerabilities
50 Application Apache Couchdb 2.1.2 RC5 Version Details Vulnerabilities
51 Application Apache Couchdb 2.1.2 RC8 Version Details Vulnerabilities
52 Application Apache Couchdb 2.1.2 Version Details Vulnerabilities
53 Application Apache Couchdb 2.1.2 - Version Details Vulnerabilities
54 Application Apache Couchdb 2.1.2. Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apache Couchdb 54

- References For CVE-2018-11769

http://www.securityfocus.com/bid/105046
BID 105046 Apache CouchDB CVE-2018-11769 Remote Code Execution Vulnerability Release Date:2018-08-08
https://lists.apache.org/thread.html/[email protected]%3Cdev.couchdb.apache.org%3E
https://support.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-hpesbmu03935en_us CONFIRM
https://security.gentoo.org/glsa/201812-06
GENTOO GLSA-201812-06

- Metasploit Modules Related To CVE-2018-11769

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.